> For a complete documentation index, fetch https://docs.voximplant.ai/llms.txt

# SendSmsMessage

POST https://api.voximplant.com/platform_api/SendSmsMessage

Sends an SMS message between two phone numbers. The source phone number should be purchased from Voximplant and support SMS (which is indicated by the **is_sms_supported** property in the objects returned by the [GetPhoneNumbers] Management API) and SMS should be enabled for it via the [ControlSms] Management API. SMS messages can be received via HTTP callbacks, see <a href='/docs/guides/managementapi/callbacks'>this article</a> for details.

Allowed roles: `Owner`, `Admin`, `Developer`, `CallsSMS`.

**Example request:** Send the SMS message with the text "Test message" from the phone number 447443332211 to the phone number 447443332212.

Reference: https://docs.voximplant.ai/api-reference/management-api/reference/sms/send-sms-message

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: management-api
  version: 1.0.0
paths:
  /SendSmsMessage:
    post:
      operationId: send-sms-message
      summary: SendSmsMessage
      description: >-
        Sends an SMS message between two phone numbers. The source phone number
        should be purchased from Voximplant and support SMS (which is indicated
        by the **is_sms_supported** property in the objects returned by the
        [GetPhoneNumbers] Management API) and SMS should be enabled for it via
        the [ControlSms] Management API. SMS messages can be received via HTTP
        callbacks, see <a href='/docs/guides/managementapi/callbacks'>this
        article</a> for details.


        Allowed roles: `Owner`, `Admin`, `Developer`, `CallsSMS`.


        **Example request:** Send the SMS message with the text "Test message"
        from the phone number 447443332211 to the phone number 447443332212.
      tags:
        - subpackage_sms
      parameters:
        - name: source
          in: query
          description: The source phone number
          required: true
          schema:
            type: string
        - name: destination
          in: query
          description: The destination phone number
          required: true
          schema:
            type: string
        - name: sms_body
          in: query
          description: >-
            The message text, up to 765 characters. We split long messages
            greater than 160 GSM-7 characters or 70 UTF-16 characters into
            multiple segments. Each segment is charged as one message
          required: true
          schema:
            type: string
        - name: store_body
          in: query
          description: Whether to store outgoing message texts. Default value is false
          required: false
          schema:
            type: boolean
        - name: Authorization
          in: header
          description: >-
            Voximplant Management API uses signed JWT tokens generated from your
            service-account private key. Pass the token in the `Authorization`
            header as a Bearer value:


            ```

            Authorization: Bearer $VOXIMPLANT_TOKEN

            ```


            See [Authorization](/api-reference/management-api/authorization) for
            ready-to-copy snippets in bash, Python, Node.js and Go that turn
            your `credentials.json` into a token.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/sms_SendSmsMessage_Response_200'
servers:
  - url: https://api.voximplant.com/platform_api
components:
  schemas:
    sms_SendSmsMessage_Response_200:
      type: object
      properties:
        result:
          type: integer
        message_id:
          type: integer
          description: Message ID
        fragments_count:
          type: integer
          description: The number of fragments the message is divided into
      title: sms_SendSmsMessage_Response_200
  securitySchemes:
    JwtAuth:
      type: http
      scheme: bearer
      description: >-
        Voximplant Management API uses signed JWT tokens generated from your
        service-account private key. Pass the token in the `Authorization`
        header as a Bearer value:


        ```

        Authorization: Bearer $VOXIMPLANT_TOKEN

        ```


        See [Authorization](/api-reference/management-api/authorization) for
        ready-to-copy snippets in bash, Python, Node.js and Go that turn your
        `credentials.json` into a token.

```

## SDK Code Examples

```python Example 1
import requests

url = "https://api.voximplant.com/platform_api/SendSmsMessage"

querystring = {"source":"447443332211","destination":"447443332212","sms_body":"Test message","store_body":"true"}

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript Example 1
const url = 'https://api.voximplant.com/platform_api/SendSmsMessage?source=447443332211&destination=447443332212&sms_body=Test+message&store_body=true';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example 1
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.voximplant.com/platform_api/SendSmsMessage?source=447443332211&destination=447443332212&sms_body=Test+message&store_body=true"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example 1
require 'uri'
require 'net/http'

url = URI("https://api.voximplant.com/platform_api/SendSmsMessage?source=447443332211&destination=447443332212&sms_body=Test+message&store_body=true")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java Example 1
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.voximplant.com/platform_api/SendSmsMessage?source=447443332211&destination=447443332212&sms_body=Test+message&store_body=true")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php Example 1
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.voximplant.com/platform_api/SendSmsMessage?source=447443332211&destination=447443332212&sms_body=Test+message&store_body=true', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Example 1
using RestSharp;

var client = new RestClient("https://api.voximplant.com/platform_api/SendSmsMessage?source=447443332211&destination=447443332212&sms_body=Test+message&store_body=true");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Example 1
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.voximplant.com/platform_api/SendSmsMessage?source=447443332211&destination=447443332212&sms_body=Test+message&store_body=true")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```